uuid: c61c79fb-a326-45c1-8abf-c6c341c7d422
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_complete_downloadable
class: Drupal\node\Plugin\migrate\D7NodeTranslation
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Node complete (Downloads)'
source:
  plugin: d7_node_complete
  node_type: downloadable
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: timestamp
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  content_translation_source:
    -
      plugin: get
      source: source_langcode
  comment_node_downloadable/0/status:
    -
      plugin: get
      source: comment
  body:
    -
      plugin: get
      source: body
  field_download_file:
    -
      plugin: sub_process
      source: field_download_file
      process:
        target_id: fid
        display: display
        description: description
destination:
  plugin: 'entity_complete:node'
  translations: true
  default_bundle: downloadable
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
